/***************************************************************************
 *   Copyright (C) 2005 by Ivan Cukic                                      *
 *   mr02014@alas.matf.bg.ac.yu                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KSPLIRAM_H_
#define _KSPLIRAM_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kmainwindow.h>
#include "frmMain.h"
#include "dctmatrix.h"
#include <qvariant.h>
#include <qtable.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <string>
#include <kaboutdialog.h>

/**
 * @short Application Main Window
 * @author Ivan Cukic <mr02014@alas.matf.bg.ac.yu>
 * @version 0.1
 */
class kspliram : public frmMain
{
    Q_OBJECT
private:
    dctMatrix matrix;
    void reloadTheMatrix();
    void reloadTheTable();
    std::string floatToString(float val);
    float stringToFloat(std::string val);
    std::string intToString(int val);
    int stringToInt(std::string val);
    KAboutDialog* dlgAbout;
public:
    /**
     * Default Constructor
     */
    kspliram(QWidget *parent, const char *name);

    /**
     * Default Destructor
     */
    virtual ~kspliram();
    
public slots:
    virtual void btnOpen_clicked();
    virtual void btnSave_clicked();
    virtual void btnNew_clicked();
    virtual void btnSetAll_clicked();
    virtual void btnValidate_clicked();
    virtual void btnDCT_clicked();
    virtual void btnDCTInv_clicked();
    virtual void btnAbout_clicked();
    virtual void btnExit_clicked();

};

#endif // _KSPLIRAM_H_
